Egret社区

新的gui配置方案运行不通

2014-9-11 01:59
284110
1银子
按照官网gui教程配置好了以后,编译可以通过,运行就会报这个错误,请问要怎么解决啊

QQ截图20140911015254.png
参与人数 1银子 +1 收起 理由
houhou + 1

查看全部评分

分享到 :
0 人收藏

10 个回复

倒序浏览
csujin  圆转纯熟 | 2014-9-11 02:01:39
1. 更新Egret核心库,重新执行npm install -g进行安装 2. 对当前项目,执行egret upgrade进行升级 3. 执行egret build -e重新编译引擎代码
这些步骤也都弄过了
咆哮的大猫  圆转纯熟 | 2014-9-11 08:38:40
你的gui是从github下载的,还是从官网1.0.5的产品包下载的?官网提供的是同步的,github上是最新的dev版本,你要自己调试
guoshaorui  超级斑竹 | 2014-9-11 09:07:46
csujin 发表于 2014-9-11 02:01
1. 更新Egret核心库,重新执行npm install -g进行安装 2. 对当前项目,执行egret upgrade进行升级 3. 执行 ...

这几个步骤应该是没问题的
确认一下,你现在的egretProperties.json内容是否正常?
csujin  圆转纯熟 | 2014-9-11 10:32:39
咆哮的大猫 发表于 2014-9-11 08:38
你的gui是从github下载的,还是从官网1.0.5的产品包下载的?官网提供的是同步的,github上是最新的dev版本 ...

是官网打包下载的
csujin  圆转纯熟 | 2014-9-11 10:33:23
guoshaorui 发表于 2014-9-11 09:07
这几个步骤应该是没问题的
确认一下,你现在的egretProperties.json内容是否正常? ...

嗯,modules加上了gui的
alphapua  登堂入室 | 2014-9-11 14:34:20
我也是同样的问题,按官方的步骤走了一遍,走不通
csujin  圆转纯熟 | 2014-9-11 19:12:17
alphapua 发表于 2014-9-11 14:34
我也是同样的问题,按官方的步骤走了一遍,走不通

额,我的找到问题了,我把引擎里的gui模块又拷到项目里一遍,其实不用考的,然后就是把"gui"加到egretProperties以后,要先编译一下等出来了,再拷贝
hwp  登堂入室 | 2014-9-20 10:41:46
我按照官网配置的编译总是报错,我用的1.0.6,把GUIExample中的三个文件还有resource中的所有文件都考到项目中了,然后编译出错。 请问具体的步骤是什么啊
csujin  圆转纯熟 | 2014-9-21 12:30:37
hwp 发表于 2014-9-20 10:41
我按照官网配置的编译总是报错,我用的1.0.6,把GUIExample中的三个文件还有resource中的所有文件都考到项 ...

首先,您需要修改egretProperties.json,增加{"name": "gui"},然后使用egret build -e编译一下,完成后您就会看到您的项目中已经有gui模块了
然后再按照官网教程拷贝就可以了,需要注意的是其中有一个皮肤文件在拷贝完成编译的时候会报错,把那个文件删掉就好了
您需要登录后才可以回帖 登录 | 立即注册

本版积分规则

小黑屋|京网文[2014]0791-191号|京ICP证150115号|Egret社区 ( 京ICP备14025619号 )

Powered by Discuz! X3.4 © 2001-2019 Comsenz Inc.

返回顶部